Settings
Update Settings (organization-scoped)
AuthorizationBearer <token>
In: header
Path Parameters
organization_idstring
The organization id identifier
Format
uuidaccent_colorstring
Default
"#10B981"contact_emailstring
Default
"contact@edushade.com"Format
emailcontact_phonestring
Default
"+1-555-0123"currencystring
Default
"USD"descriptionstring
Default
"A comprehensive learning management system for modern education"footer_textstring
Default
"© 2025 Edushade. All rights reserved."languagestring
Default
"en"logoobject
organization_namestring
Default
"Edushade Learning Platform"primary_colorstring
Default
"#3B82F6"secondary_colorstring
Default
"#8B5CF6"social_linksobject
themestring
Default
"light"timezonestring
Default
"America/New_York"websitestring
Default
"https://edushade.com"Format
uriResponse Body
curl -X PUT "https://edushade.com/api/v1/orgadmin/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/settings" \
-H "Content-Type: application/json" \
-d '{
"accent_color": "#10B981",
"contact_email": "contact@edushade.com",
"contact_phone": "+1-555-0123",
"currency": "USD",
"description": "A comprehensive learning management system for modern education",
"footer_text": "© 2025 Edushade. All rights reserved.",
"language": "en",
"logo": {
"dark_logo": "https://example.com/dark-logo.png",
"favicon": "https://example.com/favicon.ico",
"light_logo": "https://example.com/light-logo.png"
},
"organization_name": "Edushade Learning Platform",
"primary_color": "#3B82F6",
"secondary_color": "#8B5CF6",
"social_links": {
"facebook": "https://facebook.com/edushade",
"instagram": "https://instagram.com/edushade",
"linkedin": "https://linkedin.com/company/edushade",
"twitter": "https://twitter.com/edushade",
"youtube": "https://youtube.com/edushade"
},
"theme": "light",
"timezone": "America/New_York",
"website": "https://edushade.com"
}'{}Empty
Empty
Empty